## ros-foxy-aruco-opencv 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(aruco_opencv)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(aruco_opencv_msgs REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(image_transport REQUIRED)
find_package(OpenCV ${OpenCV_VERSION} REQUIRED COMPONENTS aruco)
find_package(yaml-cpp REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/aruco_tracker.cpp
  src/utils.cpp
)
target_link_libraries(${PROJECT_NAME}
  rclcpp::rclcpp
  rclcpp_lifecycle::rclcpp_lifecycle
  tf2_ros::tf2_ros
  tf2_geometry_msgs::tf2_geometry_msgs
  opencv_aruco
  ${YAML_CPP_LIBRARIES}
)
ament_target_dependencies(${PROJECT_NAME}
  aruco_opencv_msgs
  rclcpp_components
  cv_bridge
  image_transport
)
target_include_directories(${PROJECT_NAME}
  PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${YAML_CPP_INCLUDE_DIRS}
)
rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "aruco_opencv::ArucoTracker"
  EXECUTABLE "aruco_tracker"
)
rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "aruco_opencv::ArucoTrackerAutostart"
  EXECUTABLE "aruco_tracker_autostart"
)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

install(
  DIRECTORY
    config
    launch
  DESTINATION share/${PROJECT_NAME}
)

install(
  PROGRAMS
    scripts/create_board
    scripts/create_marker
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-aruco-opencv (1.1.1-1focal) focal; urgency=high

  * Fix create_marker and create_board script permissions (#22 <https://github.com/fictionlab/aruco_opencv/issues/22>) (#23 <https://github.com/fictionlab/aruco_opencv/issues/23>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 18 May 2023 00:00:00 -0000

ros-foxy-aruco-opencv (1.1.0-1focal) focal; urgency=high

  * Add python dependencies (#19 <https://github.com/fictionlab/aruco_opencv/issues/19>) (#20 <https://github.com/fictionlab/aruco_opencv/issues/20>)
  * Add board detection (ROS2) (backport #16 <https://github.com/fictionlab/aruco_opencv/issues/16>) (#17 <https://github.com/fictionlab/aruco_opencv/issues/17>)
    * Rename SingleMarkerTracker to ArucoTracker
    * Add BoardPose msg, change MarkerDetection to ArucoDetection
    * Change default marker dictionary
    * Add board descriptions
    * Add board pose estimation
    * Fix cpplint errors
  * Add scripts for generating markers and boards (#13 <https://github.com/fictionlab/aruco_opencv/issues/13>) (#14 <https://github.com/fictionlab/aruco_opencv/issues/14>)
  * Ignore duplicate image frames (#10 <https://github.com/fictionlab/aruco_opencv/issues/10>) (#11 <https://github.com/fictionlab/aruco_opencv/issues/11>)
  * Add ament_lint tests to cmakelists instead of github workflows (backport #7 <https://github.com/fictionlab/aruco_opencv/issues/7>) (#9 <https://github.com/fictionlab/aruco_opencv/issues/9>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-foxy-aruco-opencv (1.0.1-1focal) focal; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 14 Dec 2022 00:00:00 -0000

ros-foxy-aruco-opencv (1.0.0-1focal) focal; urgency=high

  * Better camera calibration handling (#3 <https://github.com/fictionlab/aruco_opencv/issues/3>) (#5 <https://github.com/fictionlab/aruco_opencv/issues/5>)
    * Support different distortion models
    * Support rectified images
  * Use the custom QoS for image subscription
  * Fix autostart node activation
  * Fix build for Humble
  * Remove image_transport parameter
  * Add marker_dict parameter
  * Unsubscribe from image topic on shutdown
  * Add single_marker_tracker_autostart node
  * Reformat code with uncrustify
  * Use cv::parallel_for_ in PnP pose computation
  * Refactor parameter declaration and retrieval, add utils.hpp
  * Initial LifecycleNode implementation
  * Update project dependencies
  * Add copyright notice
  * Install config directory
  * Port launch and config file to ROS2
  * Remove old dynamic reconfigure config
  * Declare the rest of the parameters
  * Initial port for ROS2 Foxy
  * Simplify filling the camera matrix from camera info
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Mon, 12 Dec 2022 00:00:00 -0000

ros-foxy-aruco-opencv (0.2.0-1focal) focal; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Fix build for Debian Buster
  * Publish transforms from output_frame to markers on tf2
  * Transform marker poses to specified output frame
  * Allow changing camera info without restarting the tracker
  * Add dynamically reconfigurable parameters for corner refinement
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-foxy-aruco-opencv (0.1.0-1focal) focal; urgency=high

  * Initial version of the package
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-aruco-opencv
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-copyright <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-cmake-xmllint <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-aruco-opencv-msgs, ros-foxy-cv-bridge, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-aruco-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-img2pdf, python3-numpy, python3-opencv, ros-foxy-aruco-opencv-msgs, ros-foxy-cv-bridge, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: ArUco marker detection using aruco module from OpenCV libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-aruco-opencv//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
